Name:           pygame
Version:        2.5.2
Release:    1%{?dist}
Summary:        Python modules for writing games

License:        LGPL-2.0-or-later
URL:            http://www.pygame.org
Source0:	https://github.com/%{name}/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-numpy python%{python3_pkgversion}-Cython
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  SDL2_ttf-devel SDL2_image-devel SDL2_mixer-devel
BuildRequires:  SDL2-devel freetype-devel
BuildRequires:  libpng-devel libjpeg-devel libX11-devel
BuildRequires:  portmidi-devel
BuildRequires:  gcc

%global _description\
Pygame is a set of Python modules designed for writing games. It is\
written on top of the excellent SDL library. This allows you to create\
fully featured games and multimedia programs in the python language.\
Pygame is highly portable and runs on nearly every platform and\
operating system.

%description %_description

%package devel
Summary:        Files needed for developing programs which use pygame
Requires:       python%{python3_pkgversion}-%{name} = %{version}-%{release}
Requires:       SDL2_ttf-devel SDL2_mixer-devel
Requires:       python3-devel

%description devel
This package contains headers required to build applications that use
pygame.

%package -n python%{python3_pkgversion}-pygame
Summary:        Python3 modules for writing games
Requires:       gnu-free-sans-fonts
Recommends:     python%{python3_pkgversion}-numpy

%description -n python%{python3_pkgversion}-pygame
Pygame is a set of Python modules designed for writing games. It is
written on top of the excellent SDL library. This allows you to create
fully featured games and multimedia programs in the python language.
Pygame is highly portable and runs on nearly every platform and
operating system.


%prep
%setup -q


find examples/ -type f -print0 | xargs -0 chmod -x 
find docs/ -type f -print0 | xargs -0 chmod -x
find src_c/ -type f -name '*.h' -print0 | xargs -0 chmod -x

iconv -f iso8859-1 -t utf-8 WHATSNEW > WHATSNEW.conv && mv -f WHATSNEW.conv WHATSNEW
iconv -f iso8859-1 -t utf-8 README.txt > README.txt.conv && mv -f README.txt.conv README.txt


rm -f src_c/ffmovie.[ch]


%build
%py3_build cython

%install
%py3_install

rm -f %{buildroot}%{python3_sitearch}/%{name}/freesansbold.ttf
ln -s /usr/share/fonts/gnu-free/FreeSansBold.ttf %{buildroot}%{python3_sitearch}/%{name}/freesansbold.ttf

chmod 755 %{buildroot}%{python3_sitearch}/%{name}/*.so

%check
PYTHONPATH="%{buildroot}%{python3_sitearch}" %{__python3} test/base_test.py || :
PYTHONPATH="%{buildroot}%{python3_sitearch}" %{__python3} test/rect_test.py
 
%files -n python%{python3_pkgversion}-pygame
%doc docs/ README* WHATSNEW*
%dir %{python3_sitearch}/%{name}
%{python3_sitearch}/%{name}*

%files devel
%doc examples/
%dir %{_includedir}/python*/%{name}
%{_includedir}/python*/%{name}/

%changelog
* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.2-1
- initial build
